Skip to main content
POST
Create a new authentication token for an organization.
Prefer client apps. Org API tokens still work during the transition and will be retired.

Authorizations

Authorization
string
header
default:Bearer <access-token>
required

Client app access token from POST https://auth.siro.ai/oauth2/token, or a legacy organization API token (Person icon → API Tokens). Send Authorization: Bearer <token>.

Body

application/json
tokenName
string
required
organizationId
string
required

Response

200 - application/json

Create a new authentication token for an organization.

tokenId
string
required
tokenName
string
required
organizationId
string
required
authorizedOrgGroupId
string | null
required

The ID of the org-group that this token is authorized to act as. Default null.

parentOrgGroupTokenId
string | null
required

The ID of the org-group-token that created this org-scoped token. Will be null for tokens created through the UI.

createdAt
string
required
createdBy
string | null
required

The Siro uid of the user who created the token.

token
string
required